import type { WebSiteManagementModels } from '@azure/arm-appservice';
import { IActionContext } from 'vscode-azureextensionui';
export interface AppSettingsClientProvider {
    createClient(context: IActionContext): Promise<IAppSettingsClient>;
}
export interface IAppSettingsClient {
    fullName: string;
    isLinux: boolean;
    listApplicationSettings(): Promise<WebSiteManagementModels.StringDictionary>;
    updateApplicationSettings(appSettings: WebSiteManagementModels.StringDictionary): Promise<WebSiteManagementModels.StringDictionary>;
    listSlotConfigurationNames?(): Promise<WebSiteManagementModels.SlotConfigNamesResource>;
    updateSlotConfigurationNames?(appSettings: WebSiteManagementModels.SlotConfigNamesResource): Promise<WebSiteManagementModels.SlotConfigNamesResource>;
}
