import type { WebSiteManagementModels } from '@azure/arm-appservice';
import { CancellationToken } from 'vscode';
import { IActionContext } from 'vscode-azureextensionui';
import { ParsedSite } from './SiteClient';
/**
 * A local TCP server that forwards all connections to the Kudu tunnel websocket endpoint.
 */
export declare class TunnelProxy {
    private _port;
    private _site;
    private _publishCredential;
    private _server;
    private _openSockets;
    private _isSsh;
    constructor(port: number, site: ParsedSite, publishCredential: WebSiteManagementModels.User, isSsh?: boolean);
    startProxy(context: IActionContext, token: CancellationToken): Promise<void>;
    dispose(): void;
    /**
     * Ensures the site is up and running (Even if the state is technically "Running", Azure doesn't always keep a site fully "up" if no one has hit the url in a while)
     */
    private pingApp;
    private checkTunnelStatus;
    private checkTunnelStatusWithRetry;
    private setupTunnelServer;
}
