"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SiteOSStep = void 0;
const vscode_azureextensionui_1 = require("vscode-azureextensionui");
const localize_1 = require("../localize");
const AppKind_1 = require("./AppKind");
const setLocationsTask_1 = require("./setLocationsTask");
class SiteOSStep extends vscode_azureextensionui_1.AzureWizardPromptStep {
    prompt(context) {
        return __awaiter(this, void 0, void 0, function* () {
            const picks = Object.keys(AppKind_1.WebsiteOS).map((key) => {
                const os = AppKind_1.WebsiteOS[key];
                return { label: AppKind_1.getWebsiteOSDisplayName(os), description: '', data: os };
            });
            context.newSiteOS = (yield context.ui.showQuickPick(picks, { placeHolder: localize_1.localize('selectOS', 'Select an OS.') })).data;
            yield setLocationsTask_1.setLocationsTask(context);
        });
    }
    shouldPrompt(context) {
        return context.newSiteOS === undefined;
    }
}
exports.SiteOSStep = SiteOSStep;
//# sourceMappingURL=SiteOSStep.js.map