import { IActionContext } from 'vscode-azureextensionui';
import type { KuduClient } from 'vscode-azurekudu';
import { ParsedSite } from './SiteClient';
interface IInternalKuduActionContext extends IActionContext {
    _cachedKuduClient?: KuduClient;
}
/**
 * Our first preference is to use the subscription's token credentials, but some types of sites only work with the basic publishing credentials
 * We'll ping the site, catch an 'Unauthorized' error, get the publishing creds, ping with those creds, and use them going forward if they work
 * Finally, we'll cache the client on the action context to avoid re-doing these requests multiple times for one action
 */
export declare function createKuduClient(context: IInternalKuduActionContext, site: ParsedSite): Promise<KuduClient>;
export {};
