import { WorkspaceFolder } from 'vscode';
import { IActionContext } from 'vscode-azureextensionui';
export declare enum AppSource {
    setting = "setting",
    tree = "tree",
    nodePicker = "nodePicker",
    api = "api"
}
export interface IDeployContext extends IActionContext {
    workspaceFolder: WorkspaceFolder;
    originalDeployFsPath: string;
    effectiveDeployFsPath: string;
    defaultAppSetting: string;
    appSource?: AppSource;
    isNewApp?: boolean;
    /**
     * Used to overwrite default deploy method based on scm type
     */
    deployMethod?: 'zip' | 'storage';
    stopAppBeforeDeploy?: boolean;
    syncTriggersPostDeploy?: boolean;
}
