"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.delayFirstWebAppDeploy = void 0;
const createKuduClient_1 = require("../createKuduClient");
function delayFirstWebAppDeploy(context, site, aspPromise) {
    return __awaiter(this, void 0, void 0, function* () {
        // eslint-disable-next-line @typescript-eslint/no-misused-promises, no-async-promise-executor
        yield new Promise((resolve) => __awaiter(this, void 0, void 0, function* () {
            setTimeout(resolve, 10000);
            try {
                // this delay is only valid for the first deployment to a Linux web app on a basic asp, so resolve for anything else
                if (site.isFunctionApp) {
                    resolve();
                }
                const asp = yield aspPromise;
                if (!asp || !asp.sku || !asp.sku.tier || asp.sku.tier.toLowerCase() !== 'basic') {
                    resolve();
                }
                if (!site.isLinux) {
                    resolve();
                }
                const kuduClient = yield createKuduClient_1.createKuduClient(context, site);
                const deployments = (yield kuduClient.deployment.getDeployResults()).length;
                if (deployments > 1) {
                    resolve();
                }
            }
            catch (error) {
                // ignore the error, an error here isn't a deployment failure
                resolve();
            }
        }));
    });
}
exports.delayFirstWebAppDeploy = delayFirstWebAppDeploy;
//# sourceMappingURL=delayFirstWebAppDeploy.js.map