import { IActionContext } from 'vscode-azureextensionui';
import { IDeployContext } from './IDeployContext';
export declare function runPreDeployTask(context: IDeployContext, deployFsPath: string, scmType: string | undefined): Promise<void>;
export declare function tryRunPreDeployTask(context: IDeployContext, deployFsPath: string, scmType: string | undefined): Promise<IPreDeployTaskResult>;
/**
 * Starts the post deploy task, but doesn't wait for the result (not worth it)
 */
export declare function startPostDeployTask(context: IDeployContext, deployFsPath: string, scmType: string | undefined, resourceName: string): Promise<void>;
export interface IPreDeployTaskResult {
    taskName: string | undefined;
    exitCode: number | undefined;
    failedToFindTask: boolean;
}
export declare function handleFailedPreDeployTask(context: IActionContext, preDeployResult: IPreDeployTaskResult): Promise<void>;
