"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.disconnectRepo = void 0;
const editScmType_1 = require("./editScmType");
const localize_1 = require("./localize");
const ScmType_1 = require("./ScmType");
function disconnectRepo(context, site, subscriptionContext) {
    return __awaiter(this, void 0, void 0, function* () {
        const client = yield site.createClient(context);
        const sourceControl = yield client.getSourceControl();
        const disconnectButton = { title: localize_1.localize('disconnect', 'Disconnect') };
        const disconnect = localize_1.localize('disconnectFromRepo', 'Disconnect from "{0}"? This will not affect your app\'s active deployment. You may reconnect a repository at any time.', sourceControl.repoUrl);
        yield context.ui.showWarningMessage(disconnect, { modal: true, stepName: 'disconnectRepo' }, disconnectButton);
        yield editScmType_1.editScmType(context, site, subscriptionContext, ScmType_1.ScmType.None);
    });
}
exports.disconnectRepo = disconnectRepo;
//# sourceMappingURL=disconnectRepo.js.map