import { ServiceClient } from '@azure/ms-rest-js';
import { IAzureQuickPickItem } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
import { IConnectToGitHubWizardContext } from './IConnectToGitHubWizardContext';
export declare type gitHubOrgData = {
    login: string;
    repos_url: string;
};
export declare type gitHubRepoData = {
    name: string;
    repos_url: string;
    url: string;
    html_url: string;
};
export declare type gitHubBranchData = {
    name: string;
};
export declare type gitHubLink = {
    prev?: string;
    next?: string;
    last?: string;
    first?: string;
};
export declare function connectToGitHub(site: ParsedSite, context: IConnectToGitHubWizardContext): Promise<void>;
export declare function getGitHubJsonResponse<T>(context: IConnectToGitHubWizardContext, url: string): Promise<[T, string | undefined]>;
/**
 * @param label Property of JSON that will be used as the QuickPicks label
 * @param description Optional property of JSON that will be used as QuickPicks description
 * @param data Optional property of JSON that will be used as QuickPicks data saved as a NameValue pair
 */
export declare function createQuickPickFromJsons<T>(jsons: T[], label: string): IAzureQuickPickItem<T>[];
export interface ICachedQuickPicks<T> {
    picks: IAzureQuickPickItem<T>[];
}
export declare function getGitHubQuickPicksWithLoadMore<T>(context: IConnectToGitHubWizardContext, cache: ICachedQuickPicks<T>, originalUrl: string, labelName: string, timeoutSeconds?: number): Promise<IAzureQuickPickItem<T | string>[]>;
export declare function createGitHubClient(context: IConnectToGitHubWizardContext): Promise<ServiceClient>;
