import { IActionContext } from 'vscode-azureextensionui';
import { ParsedSite } from './SiteClient';
export interface ISiteFile {
    data: string;
    etag: string;
}
export interface ISiteFileMetadata {
    mime: string;
    name: string;
    path: string;
}
export declare function getFile(context: IActionContext, site: ParsedSite, filePath: string): Promise<ISiteFile>;
export declare function listFiles(context: IActionContext, site: ParsedSite, filePath: string): Promise<ISiteFileMetadata[]>;
/**
 * Overwrites or creates a file. The etag passed in may be `undefined` if the file is being created
 * Returns the latest etag of the updated file
 */
export declare function putFile(context: IActionContext, site: ParsedSite, data: string | ArrayBuffer, filePath: string, etag: string | undefined): Promise<string>;
