import { AzExtTreeItem, IActionContext, TreeItemIconPath } from 'vscode-azureextensionui';
import { AppSettingsTreeItem } from './AppSettingsTreeItem';
/**
 * NOTE: This leverages a command with id `ext.prefix + '.toggleAppSettingVisibility'` that should be registered by each extension
 */
export declare class AppSettingTreeItem extends AzExtTreeItem {
    static contextValue: string;
    static contextValueNoSlots: string;
    get contextValue(): string;
    readonly parent: AppSettingsTreeItem;
    private _key;
    private _value;
    private _hideValue;
    private constructor();
    static createAppSettingTreeItem(context: IActionContext, parent: AppSettingsTreeItem, key: string, value: string): Promise<AppSettingTreeItem>;
    get id(): string;
    get label(): string;
    get iconPath(): TreeItemIconPath;
    get commandId(): string;
    edit(context: IActionContext): Promise<void>;
    rename(context: IActionContext): Promise<void>;
    deleteTreeItemImpl(context: IActionContext): Promise<void>;
    toggleValueVisibility(context: IActionContext): Promise<void>;
    toggleSlotSetting(context: IActionContext): Promise<void>;
    refreshImpl(context: IActionContext): Promise<void>;
}
