import type { WebSiteManagementModels } from '@azure/arm-appservice';
import { AzExtParentTreeItem, AzExtTreeItem, IActionContext, ICreateChildImplContext, TreeItemIconPath } from 'vscode-azureextensionui';
import { AppSettingsClientProvider, IAppSettingsClient } from '../IAppSettingsClient';
export declare function validateAppSettingKey(settings: WebSiteManagementModels.StringDictionary, client: IAppSettingsClient, newKey: string, oldKey?: string): string | undefined;
export declare class AppSettingsTreeItem extends AzExtParentTreeItem {
    static contextValue: string;
    readonly label: string;
    readonly childTypeLabel: string;
    readonly contextValue: string;
    readonly clientProvider: AppSettingsClientProvider;
    readonly supportsSlots: boolean;
    suppressMaskLabel: boolean;
    private _settings;
    private readonly _settingsToHide;
    constructor(parent: AzExtParentTreeItem, clientProvider: AppSettingsClientProvider, supportsSlots?: boolean, settingsToHide?: string[]);
    get id(): string;
    get iconPath(): TreeItemIconPath;
    hasMoreChildrenImpl(): boolean;
    loadMoreChildrenImpl(_clearCache: boolean, context: IActionContext): Promise<AzExtTreeItem[]>;
    editSettingItem(oldKey: string, newKey: string, value: string, context: IActionContext): Promise<void>;
    deleteSettingItem(key: string, context: IActionContext): Promise<void>;
    createChildImpl(context: ICreateChildImplContext): Promise<AzExtTreeItem>;
    ensureSettings(context: IActionContext): Promise<WebSiteManagementModels.StringDictionary>;
}
