import { AzExtTreeItem, IActionContext, TreeItemIconPath } from 'vscode-azureextensionui';
import { KuduModels } from 'vscode-azurekudu';
import { DeploymentsTreeItem } from './DeploymentsTreeItem';
/**
 * NOTE: This leverages two commands prefixed with `ext.prefix` that should be registered by each extension: "showOutputChannel" and "viewDeploymentLogs"
 */
export declare class DeploymentTreeItem extends AzExtTreeItem {
    static contextValue: RegExp;
    readonly contextValue: string;
    label: string;
    receivedTime: Date;
    parent: DeploymentsTreeItem;
    private _deployResult;
    constructor(parent: DeploymentsTreeItem, deployResult: KuduModels.DeployResult, scmType: string | undefined);
    get iconPath(): TreeItemIconPath;
    get id(): string;
    get commandId(): string;
    get description(): string | undefined;
    isAncestorOfImpl(contextValue: string | RegExp): boolean;
    redeployDeployment(context: IActionContext): Promise<void>;
    getDeploymentLogs(context: IActionContext): Promise<string>;
    viewDeploymentLogs(context: IActionContext): Promise<void>;
    viewCommitInGitHub(context: IActionContext): Promise<void>;
    refreshImpl(context: IActionContext): Promise<void>;
    private formatLogEntry;
    private getDeploymentMessage;
    private getFirstLine;
}
