import type { WebSiteManagementModels } from '@azure/arm-appservice';
import { AzExtParentTreeItem, AzExtTreeItem, IActionContext, TreeItemIconPath } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
import { DeploymentTreeItem } from './DeploymentTreeItem';
/**
 * NOTE: This leverages a command with id `ext.prefix + '.connectToGitHub'` that should be registered by each extension
 */
export declare class DeploymentsTreeItem extends AzExtParentTreeItem {
    static contextValueConnected: string;
    static contextValueUnconnected: string;
    readonly label: string;
    readonly childTypeLabel: string;
    readonly site: ParsedSite;
    suppressMaskLabel: boolean;
    private _scmType?;
    private _repoUrl?;
    constructor(parent: AzExtParentTreeItem, site: ParsedSite, siteConfig: WebSiteManagementModels.SiteConfig, sourceControl: WebSiteManagementModels.SiteSourceControl);
    get iconPath(): TreeItemIconPath;
    get description(): string;
    get contextValue(): string;
    hasMoreChildrenImpl(): boolean;
    loadMoreChildrenImpl(_clearCache: boolean, context: IActionContext): Promise<AzExtTreeItem[]>;
    compareChildrenImpl(ti1: DeploymentTreeItem, ti2: DeploymentTreeItem): number;
    refreshImpl(context: IActionContext): Promise<void>;
}
