import { AzExtParentTreeItem, AzExtTreeItem, IActionContext, TreeItemIconPath } from 'vscode-azureextensionui';
import { ParsedSite } from '../SiteClient';
/**
 * NOTE: This leverages a command with id `ext.prefix + '.openFile'` that should be registered by each extension
 */
export declare class FileTreeItem extends AzExtTreeItem {
    static contextValue: string;
    readonly contextValue: string;
    readonly label: string;
    readonly path: string;
    readonly isReadOnly: boolean;
    readonly site: ParsedSite;
    constructor(parent: AzExtParentTreeItem, site: ParsedSite, label: string, path: string, isReadOnly: boolean);
    get iconPath(): TreeItemIconPath;
    get commandId(): string;
    openReadOnly(context: IActionContext): Promise<void>;
}
