"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.SiteFilesTreeItem = void 0;
const localize_1 = require("../localize");
const FolderTreeItem_1 = require("./FolderTreeItem");
class SiteFilesTreeItem extends FolderTreeItem_1.FolderTreeItem {
    constructor(parent, site, isReadOnly) {
        super(parent, site, localize_1.localize('siteFiles', 'Files'), '/site/wwwroot', isReadOnly);
        this.contextValue = SiteFilesTreeItem.contextValue;
        this.suppressMaskLabel = true;
        this._isRoot = true;
    }
}
exports.SiteFilesTreeItem = SiteFilesTreeItem;
SiteFilesTreeItem.contextValue = 'siteFiles';
//# sourceMappingURL=SiteFilesTreeItem.js.map