"use strict";
/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for license information.
 *--------------------------------------------------------------------------------------------*/
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createResourceGraphClient = exports.createResourceClient = exports.createAppInsightsClient = exports.createWebSiteClient = void 0;
const vscode_azureextensionui_1 = require("vscode-azureextensionui");
// Lazy-load @azure packages to improve startup performance.
// NOTE: The client is the only import that matters, the rest of the types disappear when compiled to JavaScript
function createWebSiteClient(context) {
    return __awaiter(this, void 0, void 0, function* () {
        return vscode_azureextensionui_1.createAzureClient(context, (yield Promise.resolve().then(() => require('@azure/arm-appservice'))).WebSiteManagementClient);
    });
}
exports.createWebSiteClient = createWebSiteClient;
function createAppInsightsClient(context) {
    return __awaiter(this, void 0, void 0, function* () {
        return vscode_azureextensionui_1.createAzureClient(context, (yield Promise.resolve().then(() => require('@azure/arm-appinsights'))).ApplicationInsightsManagementClient);
    });
}
exports.createAppInsightsClient = createAppInsightsClient;
function createResourceClient(context) {
    return __awaiter(this, void 0, void 0, function* () {
        return vscode_azureextensionui_1.createAzureClient(context, (yield Promise.resolve().then(() => require('@azure/arm-resources'))).ResourceManagementClient);
    });
}
exports.createResourceClient = createResourceClient;
function createResourceGraphClient(context) {
    return __awaiter(this, void 0, void 0, function* () {
        return vscode_azureextensionui_1.createAzureSubscriptionClient(context, (yield Promise.resolve().then(() => require('@azure/arm-resourcegraph'))).ResourceGraphClient);
    });
}
exports.createResourceGraphClient = createResourceGraphClient;
//# sourceMappingURL=azureClients.js.map