import { IActionContext } from 'vscode-azureextensionui';
/**
 * Kudu calls are not the most reliable - this will retry a few times with exponential backoff. Each "set" of retries will take a max of about 15 seconds
 */
export declare function retryKuduCall<T>(context: IActionContext, methodName: string, callback: () => Promise<T>): Promise<T>;
/**
 * 404 is somewhat common when listing deployment logs. This will swallow the error and display the logs we _can_ retrieve
 * https://github.com/microsoft/vscode-azureappservice/issues/1365
 */
export declare function ignore404Error(context: IActionContext, callback: () => Promise<void>): Promise<void>;
