import { Task } from "vscode";
export declare namespace taskUtils {
    function getFsPathFromTask(task: Task): string | undefined;
    /**
     * Returns true if the task's scope is a workspace folder matching the given path or if the task is not associated with a path
     */
    function isTaskInScopeOfPath(task: Task, fsPath: string): boolean;
    function isTaskScopeEqual(task1: Task, task2: Task): boolean;
    function isTaskEqual(task1: Task, task2: Task): boolean;
    function findTask(deployFsPath: string, taskName: string, tasks?: Task[]): Promise<Task | undefined>;
    /**
     * Handles condition where we don't need to start the task because it's already running
     */
    function executeIfNotActive(task: Task): Promise<void>;
}
